<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Config;

use App\Models\User;

class TestEmail extends Mailable
{
	use Queueable, SerializesModels;

	public User $user;

	/**
	 * Create a new message instance.
	 *
	 * @return void
	 */
	public function __construct(User $o)
	{
		$this->user = $o;
	}

	/**
	 * Build the message.
	 *
	 * @return $this
	 */
	public function build()
	{
		Config::set('site',$this->user->site);

		return $this
			->markdown('email.system.test_email')
			->subject('Just a test...')
			->with([
				'site'=>$this->user->site,
				'user'=>$this->user,
			]);
	}
}